/calls Create a call
Logs a phone call against a contact. contact_id is required; record the outcome with call_result (from the account's configured results), plus the number dialled and an optional recording link.
Maintained by the OnePageCRM engineering team
Request body
contact_idstringbson-idID of the contact, to whom the call belongs
call_time_intintegerunix-timestampTime the call occurred in UNIX Epoch time in seconds (defaults to current time, if left blank).
textstringExtra details related to the call (supports `[b]bold[/b]` and `[i]italic[/i]` formatting)
phone_numberstringPhone number used to make the call
call_resultstringKey of the `call_result` which best describes the result of the call
viastringThrough which application did the call take place
enum: unknown Β· jabber Β· talkdesk Β· phone
recording_linkstringURL of the recording of the call conversation
user_ids_to_notifyarray<string>A list of user IDs to notify
Responses
201 Created
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields β
callobjectAllow you to keep track of phone calls made to your contacts. Calls include information like the phone number dialled and the call result. Calls support file attachments.
object fields β
idstringbson-idID of the call
contact_idstringbson-idrequiredID of the contact, to whom the call belongs
textstringExtra details related to the call (supports `[b]bold[/b]` and `[i]italic[/i]` formatting)
call_resultstringKey of the `call_result` which best describes the result of the call
call_time_intintegerunix-timestampTime the call occurred in UNIX Epoch time in seconds (defaults to current time, if left blank).
viastringThrough which application did the call take place
enum: unknown Β· jabber Β· talkdesk Β· phone
phone_numberstringPhone number used to make the call
recording_linkstringURL of the recording of the call conversation
authorstringShortened name of the creator of the call. Defaults to the logged API user.
attachmentsarray<object>Files attached to the call.
array item fields β
idstringbson-idID of the attachment
filenamestringrequiredName of the attachment file
custom_filenamestringCustom name of the attachment file
pinnedbooleanShow if the attachment is pinned to its owner contact
pinned_atstringShows pinned at timestamp. Is null if pinned == false
sizeintegerint32requiredSize of the attachment file (in bytes)
storage_providerstringName of the storage provider (where the attachment file is stored)
enum: amazon Β· google_drive Β· dropbox Β· evernote
urlstringExternal URL of the attachment file
url_expires_atstringdate-timeThe time the attachment URL expires
thumbnailobjectAn image preview of the attachment file (if one exists)
object fields β
urlstringExternal URL of the attachment's thumbnail
created_atstringdate-timeCreation time of the call
modified_atstringdate-timeLast modification time of the call
indexintegerint32Index of the call (in the results set)
Standard error responses: 400 Β· 401 Β· 403 Β· 404 Β· 409 Β· 500 β shared across the API. See Errors.